Skip to navigation

List users by paypoint

View as MarkdownOpen in Claude
Get list of users for a paypoint. Use filters to limit results.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Query parameters

fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/900123?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/900123?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

Accepted field names:

  • createdDate (gt, ge, lt, le, eq, ne)
  • name (ne, eq, ct, nct)
  • email (ne, eq, ct, nct)
  • status (in, nin, eq, ne)
  • role.xxx (ne, eq, ct, nct) where xxx is the role field: roleLabel or roleValue

Accepted comparison operators - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

Accepted parameters:

  • limitRecord: max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord: initial record in query

Example: name(ct)=john return all records with name containing ‘john’

sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objectsOptional
SummaryobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error